<div class="row mar-20" id="study_details" ng-show="mainContainer">
    <div class="col-lg-8">
        <h1><a  ui-sref="dashboard.orders"> Doctor Studies </a></h1>
    	<h5>Assigned doctor: <b>{{ order.doctor_name }}</b></h5>
    </div>
    <div class="clearfix"></div>
    <div class="col-lg-12 studies__gallery__wrapper">

    	<div class="clearfix"></div>
		<div class="total">
	    	<div class="report_details_grid_onethird">
	    		<div class="study__details">
	    			<p class="headline">Patient Details</p>

					<p class="copy_label">Patient ID</p>
					<p class="id">{{ order.patient.patient_id }}</p>

					<p class="copy_label">Patient name & Age</p>
					<p class="name">{{ order.patient.name }} ({{ order.patient.age }})</p>

					<p class="copy_label">Patient History</p>
					<p class="p_details normal">
						{{ order.metas.AdditionalPatientHistory }}
					</p>
	    		</div>

	    		<div class="patient__details">
		    		<p class="headline">Study Details</p>
					
					<p class="copy_label">Type of Modality</p>
					<p class="modality">{{ order.modality }}</p>

					<p class="copy_label">Body Part Examined</p>
					<p class="body_part">{{ order.metas.BodyPartExamined }}</p>

					<p class="copy_label">Study date and time</p>
					<p class="time normal">{{ order.studydate_opened }} {{ order.StudyTime }}</p>

					<p class="copy_label">Study Description</p>
					<p class="study_description normal">{{ order.metas.StudyDescription }}</p>

	    		</div>

	    		
	    	</div>
	    	
	    	<div class="report_details_grid_twothird">
				<p class="headline">Report Details</p>

				<a ng-click="showDicomViewer()" class="button-flat done mgb"><i class="fa fa-eye"></i> View Dicom</a>

				<p class="copy_label">Referring physician name</p>
				<p class="name">{{ order.doctor_name }}</p>
        <!--
				<p class="copy_label">Doctors's Name</p>
				<p class="name">Dr. Dre</p>
        !-->

				
				<div class="timelist">
					<div class="report_details_grid_half">
						<p class="copy_label">Time sent</p>
						<p class="time normal">17th june 2015, 01:39 PM</p>
					</div>
					<div class="report_details_grid_half">
						<p class="copy_label">Time received</p>
						<p class="time normal">17th june 2015, 01:39 PM</p>
					</div>
				</div>

				<div class="clearfix"></div>

				<p class="copy_label">Report</p>
				<div class="report lh">
					<div class="img_box" ng-if="order.hospital_logo">
						<img src="{{ order.hospital_logo | AppStorage }}" alt="">
					</div>
					<div class="img_box text">
						Radiology Repost
					</div>
					<div class="img_box" ng-if="order.provider_logo">
						<img src="{{ order.provider_logo | AppStorage }}" alt="">
					</div>
					<div class="clearfix"></div>
          <div class="report"> 
						<p ng-bind-html="order.report"></p>

					</div>
					<!--<span class="center">===== END OF REPORT =====</span>!-->


					<a href="" class="button-flat done fl--right">Yes, I have read</a>
					<a href="" class="button-flat cancel fl--right">Cancel</a>

				</div>
	    	</div>

    	</div>
    </div>
</div>
<!-- /.row!-->

<div ng-hide="mainContainer">

<div role="dialog" class="modal fade ng-isolate-scope in order-modal-layout"  style="z-index: 1050; display: block;">
    <div class="modal-dialog modal-lg" >
        <div class="modal-content" >
            <div class="modal-header ng-scope">
                <div ng-show="showReport" style="width:400px;" text-angular="text-angular"  ng-model="order.report" class="order-report-layout" ></div>                
            </div>
            <div id="loading">
                <div id="loading-image" >
                    <h2 class="dicom_percent">0%</h2>
                    <img src="/static/new-dashboard/images/ajax-loader.gif" alt="Loading..." />
                </div>
            </div>
            <div id="testing" class="dicom-viewer">            
                        <div class="navbar navbar-default dicom-navbar">
                            <div class="dicom-navbar-container">
                                <div class="btn-group">
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-sun-o fa-3x"></span><span class="btn-text">WW/WL</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-adjust fa-3x"></span><span class="btn-text">Invert</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-search fa-3x"></span><span class="btn-text">Zoom</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-arrows fa-3x"></span><span class="btn-text">Pan</span></button>

                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-bars fa-3x"></span><span class="btn-text">Stack Scroll</span></button>

                                    <div class="dropdown dicom-viewer-dropdown">
                                      <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" aria-expanded="true"><span class="fa fa-pencil fa-3x"></span>
                                        <span class="btn-text dicom-viewer-font-size">Annotate</span>
                                        <!--<span class="caret"></span>-->
                                      </button>
                                      <ul class="dropdown-menu annotations" role="menu" aria-labelledby="dropdownMenu1">
                                        <li role="presentation"><a role="menuitem" tabindex="-1">Text</a></li>
                                        <li role="presentation"><a role="menuitem" tabindex="-1">Length</a></li>
                                        <li role="presentation"><a role="menuitem" tabindex="-1">Pixel Probe</a></li>
                                        <li role="presentation"><a role="menuitem" tabindex="-1">Elliptical ROI</a></li>
                                        <li role="presentation"><a role="menuitem" tabindex="-1">Rectangle ROI</a></li>
                                      </ul>
                                    </div>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-hand-o-up fa-3x"></span><span class="btn-text">Select</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-times fa-3x"></span><span class="btn-text">Clear</span></button>
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-play fa-3x"></span><span class="btn-text">Play Clip</span></button>
                                    <button type="button" class="btn btn-sm btn-default hidden" data-container='body'><span class="fa fa-stop fa-3x"></span><span class="btn-text">Stop Clip</span></button>                                    
                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-save fa-3x"></span><span class="btn-text">Save</span></button>
                                    <div class="dropdown dicom-grid-btn">
                                          <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" aria-expanded="true"><span class="fa fa-table fa-3x"></span>
                                            <span class="btn-text dicom-viewer-font-size">Grid</span>
                                          </button> 
                                          <table class="dicom-btn-table dropdown-menu" aria-labelledby="dropdownMenu1">
                                              <tbody>
                                                <tr><td data-val="11"></td><td data-val="12"></td><td data-val="13"></td><td data-val="14"></td></tr>
                                                <tr><td data-val="21"></td><td data-val="22"></td><td data-val="23"></td><td data-val="24"></td></tr> 
                                                <tr><td data-val="31"></td><td data-val="32"></td><td data-val="33"></td><td data-val="34"></td></tr>
                                                <tr><td data-val="41"></td><td data-val="42"></td><td data-val="43"></td><td data-val="44"></td></tr>
                                              </tbody>
                                        </table>
                                        
                                    </div>

                                    <button type="button" class="btn btn-sm btn-default" data-container='body'><span class="fa fa-toggle-off fa-3x"></span><span class="btn-text">Overlay</span></button>
                                    <div class="dicom-slider-container">
                                         <input type="hidden" id="dicom-slider-input" class="dicom-slider-input"  value="9" />
                                    </div>  

                                </div>
                            
                                
                                <button type="button" class="btn btn-warning btn-sm pull-right dicom-viewer-button-layout" ng-click="mainContainer = !mainContainer" data-dismiss="modal"><i class="fa fa-times fa-3x"></i><span class="btn-text">Cancel</span> </button>
                                <button class="btn btn-sm btn-primary pull-right order-report dicom-viewer-button-layout" ng-click="showReport = !showReport">
                                    <i class="fa fa-file-pdf-o fa-plus-padd fa-3x"></i><span class="btn-text">Report</span>
                                </button>
                                       
                            </div>
                        </div>
                        <div id="viewHolder" class="row">
                            <div id="dicom-loadbar"></div>
                            <div class="dicom-sidebar-container panel panel-default dicom-sidebar-panel">
                                <div class="panel-heading">
                                    <h4>Name: Kamal Sharif</h4>
                                    <p>Company: Inovio</p>
                                </div>
                                <div class="panel-body dicom-sidebar-panel-body"></div>
                            </div>
                            
                            <div class="dicom-main-container dicom-main-container-with-sidebar">
                                <button id="sidebarToggle" type="button" class="btn btn-sm btn-default dicom-drawer-button" data-container='body'><span class="fa fa-arrow-left fa-3x"></span></button>
                            </div>
                        </div>                                              
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="rowParent rowContainer hidden">
    
</div>
<div class="studyContainer hidden dicom-cell">
    <div class="viewer">
        <div class="text-center"></div>
        <div class="imageViewer">
            <div class="viewportWrapper" style=""
                 oncontextmenu="return false"
                 class='cornerstone-enabled-image' unselectable='on'
                 onselectstart='return false;' onmousedown='return false;'>
                <div class="viewport">
                </div>
                <div class="overlay hidden" style="top:.5rem; left:0">
                    <div><!-- Patient Name --></div>
                    <div><!-- Patient Id --></div>
                    <div><!-- Study Description --></div>
                    <div><!-- Study Date  --></div>
                    <div class="fps"><!-- FPS: --></div>
                    <div class="renderTime"><!-- Render Time: --></div>
                    <div class="currentImageAndTotalImages"><!-- Image #: --></div>
                    <div><!-- Zoom: --></div>
                    <div><!-- WW/WL: --></div>
                </div>
            </div>
        </div>
    </div>
</div>
